Create Regulated Entity Attribute
POST /obp/v7.0.0/regulated-entities/REGULATED_ENTITY_ID/attributes
OBPv5.1.0-createRegulatedEntityAttribute Roles: CanCreateRegulatedEntityAttribute DirectoryAPI
Create a new Regulated Entity Attribute for a given REGULATED_ENTITY_ID.
The type field must be one of "STRING", "INTEGER", "DOUBLE", "DECIMAL", "BOOLEAN" and "DATE_WITH_DAY". Use "DECIMAL" rather than "DOUBLE" for rates, prices and amounts, because it holds the value exactly; "BOOLEAN" values are "true" or "false". User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
REGULATED_ENTITY_ID: REGULATED_ENTITY_ID
JSON request body fields (4)
- attribute_type
- STRING
- name
- ACCOUNT_MANAGEMENT_FEE
- value
- 5987953
- is_active
- false
JSON response body fields (6)
- attribute_type
- STRING
- name
- ACCOUNT_MANAGEMENT_FEE
- regulated_entity_attribute_id
- attrafa-9a0f-4bfa-b30b-9003aa467f51
- regulated_entity_id
- regulated_entity_id
- value
- 5987953
- is_active
- false
Example request body
{
"name": "Attribute Name",
"attribute_type": "STRING",
"value": "1234",
"is_active": false
}Example success response
{
"regulated_entity_id": "0af807d7-3c39-43ef-9712-82bcfde1b9ca",
"regulated_entity_attribute_id": "attrafa-9a0f-4bfa-b30b-9003aa467f51",
"name": "ACCOUNT_MANAGEMENT_FEE",
"attribute_type": "",
"value": "5987953",
"is_active": false
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.
- OBP-20006: User is missing one or more roles: